Status: Rejected   

Priority: Urgent   

Assignee: William Clark   

Category: Foreman modules   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/582,

https://github.com/theforeman/puppet-pul

pcore/pull/89

  

Description

since https://rubygems.org/gems/beaker/versions/4.22.0 was released today, we are seeing failures of installer puppet module

acceptance tests due to

```

Beaker::Host::CommandFailure:

Host 'centos7-64.example.com' exited with 1 running:

 
chmod 0600 ~/.ssh

 
Last 10 lines of output were:

 
chmod: cannot access ‘/root/.ssh’: No such file or directory

```

 We can work around this for now with `gem 'beaker', '< 4.22.0'`

History

#1 - 05/08/2020 04:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/582 added

#2 - 05/08/2020 06:41 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/89 added

#3 - 05/11/2020 05:18 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Rejected

Upstream fixed it with a 4.22.1 release.
